### Function

# EDataServer data_server_util_set_dbus_call_timeout

deprecated: 3.8 since: 3.0

#### Declaration [src]

    void
    e_data_server_util_set_dbus_call_timeout (
      gint timeout_msec
    )

#### Description [src]

Sets default timeout, in milliseconds, for calls of `g_dbus_proxy_call()` family functions.

-1 means the default value as set by D-Bus itself. G_MAXINT means no timeout at all.

Default value is set also by configure option —with-dbus-call-timeout=ms and -1 is used when not set.

Available since: 3.0

Deprecated since: 3.8

This value is not used anywhere.

#### Parameters

`timeout_msec`

  Type: `gint`

  Default timeout for D-Bus calls in miliseconds.